> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Creates webhook in an app.

# Create Webhook

For the complete error reference, see [Error Guide](/rest-api/management-apis/error-codes).


## OpenAPI

````yaml post /apps/{appId}/webhooks
openapi: 3.0.0
info:
  title: Management APIs (Multi-Tenancy)
  description: Create and manage apps on-the-fly using our app management APIs
  version: '1.0'
servers:
  - url: https://apimgmt.cometchat.io
security: []
tags:
  - name: App
    description: The Rest collection for app.
  - name: Extensions
    description: The REST collections for extensions.
  - name: Extensions
    description: The REST collections for Chat widgets.
  - name: Extensions
    description: The REST collections for Giphy extension.
  - name: Extensions
    description: The REST collections for XSS Filter extension.
  - name: Extensions
    description: The REST collections for Image Moderation extension.
  - name: Extensions
    description: The REST collections for Report user extension.
  - name: Extensions
    description: The REST collections for Report message extension.
  - name: Extensions
    description: The REST collections for Sentiment analysis extension.
  - name: Extensions
    description: The REST collections for Voice transcription extension.
  - name: Extensions
    description: The REST collections for Stipop extension.
  - name: Extensions
    description: The REST collections for TinyURL extension.
  - name: Extensions
    description: The REST collections for Intercom extension.
  - name: Extensions
    description: The REST collections for Bitly extension.
  - name: Extensions
    description: The REST collections for Rich media preview extension.
  - name: Extensions
    description: The REST collections for Virus Malware Scanner extension.
  - name: Extensions
    description: The REST collections for Video Broadcasting extension.
  - name: Extensions
    description: The REST collections for Tenor gifs extension.
  - name: Extensions
    description: The REST collections for End-to-end encryption extension.
  - name: Extensions
    description: The REST collections for In-flight message moderation extension.
  - name: Extensions
    description: The REST collections for Stickers extension.
  - name: Extensions
    description: The REST collections for Data masking extension.
  - name: Extensions
    description: The REST collections for Email replies extension.
  - name: Extensions
    description: The REST collections for SMS Notification extension.
  - name: Extensions
    description: The REST collections for Push notification extension.
  - name: Extensions
    description: The REST collections for Chatwoot extension.
  - name: Extensions
    description: The REST collections for Message shortcuts extension.
  - name: Extensions
    description: The REST collections for Email Notification extension.
  - name: Team Management
    description: The REST collections for team management.
  - name: Settings
    description: The REST collections for Settings.
  - name: Extensions
    description: The REST collections for Profanity-filter extension.
  - name: Webhooks
    description: The REST collections for Webhooks.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /apps/{appId}/webhooks:
    post:
      tags:
        - Webhooks
      summary: Create Webhook
      description: Creates webhook in an app.
      operationId: create-webhook
      parameters:
        - $ref: '#/components/parameters/key'
        - $ref: '#/components/parameters/secret'
        - $ref: '#/components/parameters/appId'
        - $ref: '#/components/parameters/X-Webhook-Version'
      requestBody:
        content:
          application/json:
            schema:
              required:
                - id
                - name
                - webhookURL
              properties:
                id:
                  description: Id of the Webhook.
                  type: string
                name:
                  description: name of the Webhook.
                  type: string
                useBasicAuth:
                  description: Boolean value for Basic Auth.
                  type: boolean
                username:
                  description: Username of the user
                  type: string
                password:
                  description: Password of the user
                  type: string
                webhookURL:
                  description: Webhook URL of the app
                  type: string
                enabled:
                  description: Webhook should be enabled/ disabled
                  type: boolean
                retryOnFailure:
                  description: >-
                    Enables automatic retries for failed webhook deliveries due
                    to non-2xx HTTP responses or network errors.
                  type: boolean
                  default: false
              type: object
      responses:
        '200':
          description: Created Webhook
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/webhookSchema'
                    type: object
                type: object
              example:
                - data:
                    id: test_webhook201
                    name: test_webhook201
                    webhookURL: https://example.com/test
                    createdAt: 1684141151
                    updatedAt: 1684141151
components:
  parameters:
    key:
      name: key
      in: header
      description: Authorization Key
      required: true
      schema:
        type: string
    secret:
      name: secret
      in: header
      description: Authorization Secret
      required: true
      schema:
        type: string
    appId:
      name: appId
      in: path
      description: AppID in which the extension has to be enabled/disabled
      required: true
      schema:
        type: string
    X-Webhook-Version:
      name: X-Webhook-Version
      in: header
      description: >-
        The "X-Webhook-Version" header is an optional integer property.When this
        header is omitted from the request, the system defaults to the legacy
        webhook, ensuring backward compatibility and seamless
        operation.Conversely, setting the value of this header to "2" indicates
        the preference for the new webhook implementation.
      required: false
      schema:
        type: integer
      examples:
        string:
          summary: X-Webhook-Version
          value: '2'
  schemas:
    webhookSchema:
      properties:
        id:
          type: string
        name:
          type: string
        webhookURL:
          type: string
        enabled:
          type: boolean
      type: object

````